<?php

namespace App\Console;

use Illuminate\Console\Scheduling\Schedule;
use Illuminate\Foundation\Console\Kernel as ConsoleKernel;
use Illuminate\Support\Facades\Log;

class Kernel extends ConsoleKernel
{
    /**
     * Define the application's command schedule.
     */
    protected function schedule(Schedule $schedule): void
    {
        // Remove o comando inspire e deixa apenas o processamento de emails
        $schedule->command('emails:process')
            ->name('process-emails')  // Nome único para o comando
            ->everyMinute()
            ->withoutOverlapping()
            ->runInBackground()
            ->appendOutputTo(storage_path('logs/scheduler.log'))
            ->before(function () {
                Log::info('Starting scheduled email processing at: ' . now());
            })
            ->after(function () {
                Log::info('Finished scheduled email processing at: ' . now());
            });
    }

    /**
     * Register the commands for the application.
     */
    protected function commands(): void
    {
        $this->load(__DIR__.'/Commands');
    }
} 